# lab2_Graphs.R
# command file for making Rscore Graphs
# Two graphs are produced:
#	probability ROC
#	z-score probability ROC

# read the RscorePlus graphic file into a data frame
fn <- file.choose()
df <- read.delim(fn, header=TRUE)

# Edit below to put in your own name
mn = c("your name ROC ", as.character(df[1,2]))

# plot ROC curve for with without eyes in red and with eyes in blue
par(mfrow=c(1,2))	# two graphs per figure
par(pty = "s")		# make plots square

# probability plot
plot(Obs_pYs1 ~ Obs_pYs0,
	data = df,
	pch = 21, col = "red",
	xlim = c(0, 1),
	ylim = c(0, 1),
	xlab = "False Alarm Rate",
	ylab = "Hit Rate",
	main = mn)
points(Obs_pYs2 ~ Obs_pYs0, data=df, pch=19, col="blue")
lines(Pred_pYs1 ~ Pred_pYs0, data=df, col="red")
lines(Pred_pYs2 ~ Pred_pYs0, data=df, col="blue")
text(.4, .60, "Without Eyes", col="red", cex=0.75)
text(.2, .90, "With Eyes", col="blue", cex=0.75)
abline(0,1)

# z-score plot
plot(Obs_zYs1 ~ Obs_zYs0, data=df, pch=21, col="red",
	xlim=c(-2.5, 2.5),
	ylim=c(-2.5, 2.5),
	xlab="z-score of False Alarm Rate",
	ylab="z-score of Hit Rate",
	main = mn)
points(Obs_zYs2 ~ Obs_zYs0, data=df, pch=19, col="blue")
lines(Pred_zYs1 ~ Pred_zYs0, data=df, col="red")
lines(Pred_zYs2 ~ Pred_zYs0, data=df, col="blue")
text(1.4, .6, "Without Eyes", col="red", cex=0.75)
text(-1.7, 1, "With Eyes", col="blue", cex=0.75)
abline(0,1)

par(mfrow=c(1,1))
